# photomk

Makefile-based static site generator for sharing photos.

## Building a Page

`nix develop` drops you into a shell with all prerequisites.
Running

```bash
IMAGE_DIR=path/to/image_dir make
```

builds a self-contained static page and stores it in `./dist` (or `DIST_DIR` if set).
You can use all the usual `make` goodies such as `-j` to enable parallel builds.

## Data Model

The data model is simply the list of all `.jpg` files in `IMAGE_DIR` and its subdirectories, enriched with EXIF metadata.

## TODO

- [x] Generate .zip archive of all photos and offer it for download
- [x] Write a faster `./extract-metadata.py` alternative
- [x] Make a pretty index page
- [x] Generate .webp thumbnails for index page
- [x] Make a mobile page
